classification
Title: Argument Clinic: slice index converter
Type: enhancement Stage: resolved
Components: Argument Clinic Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: larry, serhiy.storchaka, vstinner
Priority: normal Keywords:

Created on 2017-03-07 13:06 by serhiy.storchaka, last changed 2017-03-24 22:07 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 549 merged serhiy.storchaka, 2017-03-07 13:14
Messages (2)
msg289162 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-07 13:06
Following PR adds the slice index converter. It can be used for converting indices in methods like list.index() and str.find().
msg290160 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-24 22:07
New changeset 80ec8364f15857c405ef0ecb1e758c8fc6b332f7 by Serhiy Storchaka in branch 'master':
bpo-29748: Added the slice index converter in Argument Clinic. (#549)
https://github.com/python/cpython/commit/80ec8364f15857c405ef0ecb1e758c8fc6b332f7
History
Date User Action Args
2017-03-24 22:07:12serhiy.storchakasetmessages: + msg290160
2017-03-19 17:42:23serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-03-07 13:24:43vstinnersetnosy: + vstinner
2017-03-07 13:14:09serhiy.storchakasetpull_requests: + pull_request451
2017-03-07 13:06:47serhiy.storchakacreate